<?php

// Admin routes for news
Route::group(['prefix' => trans_setlocale().'/admin/news', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('news', 'News\News\Http\Controllers\NewsAdminController');
});

// User routes for news
Route::group(['prefix' => trans_setlocale().'/user/news', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('news', 'News\News\Http\Controllers\NewsUserController');
});

// Public routes for news
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('news/news', 'News\News\Http\Controllers\NewsPublicController@index');
    Route::get('news/news/{slug?}', 'News\News\Http\Controllers\NewsPublicController@show');
});
